#ifndef _LOCOTOOL_H
#define _LOCOTOOL_H
//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// locotool.h - definitions for the locotool.dll exports
//



// definition of an error handler
// your function should look like
//
//	void err_handler(char *message);
//
// it's called if there's an error in the processing somewhere
// at that point the processing will be aborted
// (and no cleanup is done; neither of memory nor of any files created)

typedef void LocoTool_err_proc_t(char *);
typedef LocoTool_err_proc_t *LocoTool_err_proc;

// decode the given .dat file
// returns 1 if successful, 0 otherwise
int LocoTool_decode(char *datname);

// encode from the give .xml file
// returns 1 if successful, 0 otherwise
int LocoTool_encode(char *xmlname);

// install your own error handler, the default just prints the message on
// stderr and exits
void LocoTool_set_err_handler(LocoTool_err_proc handler);

// get the version string from the DLL
const char *LocoTool_get_version();

#endif // ndef _LOCOTOOL_H
